%define		_class		Event
%define		_subclass	Dispatcher
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(PHPUnit.php\\)

Name:		php-pear-%{upstream_name}
Version:	1.1.0
Release:	%mkrel 9
Summary:	Dispatch notifications using PHP callbacks
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Event_Dispatcher/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
The Event_Dispatcher acts as a notification dispatch table. It is used
to notify other objects of interesting things. This information is
encapsulated in Event_Notification objects. Client objects register
themselves with the Event_Dispatcher as observers of specific
notifications posted by other objects. When an event occurs, an object
posts an appropriate notification to the Event_Dispatcher. The
Event_Dispatcher dispatches a message to each registered observer,
passing the notification as the sole argument.


%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.1.0-9.mga6
+ Revision: 964705
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-8.mga5
+ Revision: 743684
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.0-7.mga5
+ Revision: 727763
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-6.mga5
+ Revision: 687240
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-5.mga4
+ Revision: 516710
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 376075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.1.0-3.mga1
+ Revision: 47366
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Event_Dispatcher

